//Brent Cowan - 2011

#ifndef _PathNode_
#define _PathNode_

class PathNode
{
public:
	PathNode();
	void Render(); //shows the nodes and their connection for debugging
	float GetDistance(PathNode* other);

	float pathDist; //Distance traveled from the starting point
	float goalDist; //Straight line distance from the end goal
	int patchX; //integer location within the patch
	int patchY;

	Vector2D position; //Screen location in pixels
	vector<PathNode*> neighbours; //List of nodes directly connected to this one
};

#endif
